Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 223703 - Editable Diff-Window does not save when invoking save action
Editable Diff-Window does not save when invoking save action
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
7.3
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Tomas Stupka
diff-issues@utilities
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 09:22 UTC by markiewb
Modified: 2013-02-12 09:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-12-12 09:22:31 UTC
[ JDK VERSION : 1.7.0_09 ]

* create java file A.java and B.java
* select both in project view
* invoke contextmenu, then "Tools > Diff" -> Diff window opens with A on the
left and B on the right side
* modify the code of B on the right side
* press CTRL-S (or your shortcut for saving the file)

ACTUAL: B.java is not saved
ACTUAL: B.java is saved
Comment 1 Milutin Kristofic 2012-12-12 10:24:05 UTC
I am not sure if this is bug in editor or diff.
Comment 2 Ondrej Vrabec 2012-12-13 14:14:41 UTC
fix: http://hg.netbeans.org/core-main/rev/efe5d7ea5176
Comment 3 Quality Engineering 2012-12-17 12:40:28 UTC
Integrated into 'main-golden', will be available in build *201212170919* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/efe5d7ea5176
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #223703 - Editable Diff-Window does not save when invoking save action


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo